GCLOUD_COMPUTE_TARGET-HTTP-PROXIES_CREATE(1)

NAME

gcloud compute target-http-proxies create - create a target HTTP proxy

SYNOPSIS

gcloud compute target-http-proxies create NAME --url-map URL_MAP [--description DESCRIPTION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-http-proxies create is used to create target HTTP proxies. A target HTTP proxy is referenced by one or more forwarding rules which define which packets the proxy is responsible for routing. The target HTTP proxy points to a URL map that defines the rules for routing the requests. The URL map's job is to map URLs to backend services which handle the actual requests.

POSITIONAL ARGUMENTS
NAME
    The name of the target HTTP proxy.

REQUIRED FLAGS
--url-map URL_MAP
    A reference to a URL map resource that defines the mapping of URLs to backend services. The URL map must exist and cannot be deleted while referenced by a target HTTP proxy.

OPTIONAL FLAGS
--description DESCRIPTION
    An optional, textual description for the target HTTP proxy.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.